commit 3697b8214b56bbce34c5461338d9696832f7491c
Author: freddy77 <freddy77>
Date:   Sat Jul 24 08:08:09 2010 +0000

    fix rpc test for Sybase

diff --git a/ChangeLog b/ChangeLog
index 41b4527..c60805b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sat Jul 24 10:08:00 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/common.c src/dblib/unittests/rpc.sql:
+	- fix rpc test for Sybase
+
 Fri Jul 23 15:07:21 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* TODO TODO.freddy: updated
 
@@ -2741,4 +2745,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3089 2010/07/23 13:07:56 freddy77 Exp $
+$Id: ChangeLog,v 1.3090 2010/07/24 08:08:09 freddy77 Exp $
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 45d4534..a353f45 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -22,7 +22,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.40 2010/01/10 14:43:11 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.41 2010/07/24 08:08:09 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -448,6 +448,7 @@ syb_msg_handler(DBPROCESS * dbproc, DBINT msgno, int msgstate, int severity, cha
 			 */
 			fprintf(stdout, "%s\n", msgtext);
 			fflush(stdout);
+			severity = 0;
 		}
 	}
 
diff --git a/src/dblib/unittests/rpc.sql b/src/dblib/unittests/rpc.sql
index a1fb520..9b44f7a 100644
--- a/src/dblib/unittests/rpc.sql
+++ b/src/dblib/unittests/rpc.sql
@@ -8,7 +8,7 @@ CREATE PROCEDURE #t0022
 AS 
 BEGIN 
 if @null_input is not NULL begin 
-	select 'error: should be NULL' as status, @null_input as '@null_input'
+	select 'error: should be NULL' as status, @null_input as 'null_input'
 	return -42
 end else begin
 	print 'Good: @null_input is NULL'
@@ -26,12 +26,12 @@ select distinct convert(varchar(30), name) as 'type'  from systypes
 where name in ('int', 'char', 'text') 
 select @nrows = @@rowcount 
 select distinct @nv as '@nv', convert(varchar(30), name) as name  from sysobjects where type = 'S' 
-select	  @null_input as '@null_input'
-	, @first_type as '@first_type'
-	, @nullout as '@nullout'
-	, @nrows as '@nrows'
-	, @c as '@c'
-	, @nv as '@nv'
+select	  @null_input as 'null_input'
+	, @first_type as 'first_type'
+	, @nullout as 'nullout'
+	, @nrows as 'nrows'
+	, @c as 'c'
+	, @nv as 'nv'
 	into #parameters
 select * from #parameters
 return 42 
@@ -50,7 +50,7 @@ CREATE PROCEDURE t0022
 AS 
 BEGIN 
 if @null_input is not NULL begin 
-	select 'error: should be NULL' as status, @null_input as '@null_input'
+	select 'error: should be NULL' as status, @null_input as 'null_input'
 	return -42
 end else begin
 	print '@null_input is NULL, as expected'
@@ -68,12 +68,12 @@ select distinct convert(varchar(30), name) as 'type'  from systypes
 where name in ('int', 'char', 'text') 
 select @nrows = @@rowcount 
 select distinct @nv as '@nv', convert(varchar(30), name) as name  from sysobjects where type = 'S' 
-select	  @null_input as '@null_input'
-	, @first_type as '@first_type'
-	, @nullout as '@nullout'
-	, @nrows as '@nrows'
-	, @c as '@c'
-	, @nv as '@nv'
+select	  @null_input as 'null_input'
+	, @first_type as 'first_type'
+	, @nullout as 'nullout'
+	, @nrows as 'nrows'
+	, @c as 'c'
+	, @nv as 'nv'
 	into #parameters
 select * from #parameters
 return 42 

